import { KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { Expression } from "./Expression";
export declare class ETSIntrinsicNode extends Expression {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static create1ETSIntrinsicNode(id: string, _arguments_: readonly Expression[]): ETSIntrinsicNode;
    static updateETSIntrinsicNode(original?: ETSIntrinsicNode, other?: ETSIntrinsicNode): ETSIntrinsicNode;
    static update1ETSIntrinsicNode(original: ETSIntrinsicNode | undefined, id: string, _arguments_: readonly Expression[]): ETSIntrinsicNode;
    get id(): string;
    get arguments(): readonly Expression[];
    protected readonly brandETSIntrinsicNode: undefined;
}
export declare function isETSIntrinsicNode(node: object | undefined): node is ETSIntrinsicNode;
